Page MenuHomeFreeBSD

Add list of valid CPUTYPE flags for arm/arm64 to make.conf example
ClosedPublic

Authored by daniel.engberg.lists_pyret.net on May 19 2019, 10:43 AM.

Details

Summary

Adds a list of valid CPUTYPE flags for arm and arm64 architectures
List taken from share/mk/bsd.cpu.mk

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Not sure if ARMv5 and older should be included as these are going away as far I know

I can't help you with a review, but I can certainly remind you that you should probably get some reviewers involved. :)

As far as I can tell Warner should get this at least?

imp added inline comments.May 20 2019, 3:47 PM
share/examples/etc/make.conf
52 ↗(On Diff #57558)

There are some armv5 architectures we still support, though clang support is, at best, weak.
xscale is supported, though it is likely on the chopping block
armv4, armv4t, armv5, armv5te, armv6, armv6t2, armv7, armv7-a, armv7ve
are also supported
Also on the list for armv[45] is:

arm920t, arm926ej-s, marvell-pj4, fa526, fa626,
fa606te, fa626te, fa726te

though some of those are on the chopping block or have been removed.
armv6 documents that we support:

  1. arm1176jzf-s, generic-armv7-a, cortex-a5, cortex-a7, cortex-a8,
  2. cortex-a9, cortex-a12, cortex-a15, cortex-a17, cortex-a53, cortex-a57,
  3. cortex-a72, exynos-m1

though the last 4 are 64-bit chips nominally, only some of which support 32-bit armv7 code and we don't really support running 32-bit kernels on 64-bit platforms apart from i386, so documenting them under arm likely isn't a good idea.

Also, the lists that I have here are taken from the bsd.cpu.mk comments, and is somewhat gcc centric as the list was generated back in the time of crappy arm support in clang.

Update list per suggestion by Warner

daniel.engberg.lists_pyret.net marked an inline comment as done.May 20 2019, 4:27 PM
imp accepted this revision.May 20 2019, 10:00 PM
This revision is now accepted and ready to land.May 20 2019, 10:00 PM

Missed a comma at the end on the first line listing ARM64 options

This revision now requires review to proceed.May 20 2019, 10:12 PM
imp accepted this revision.Jun 6 2019, 8:34 PM
This revision is now accepted and ready to land.Jun 6 2019, 8:34 PM

Since it's accepted, would it be possible for this diff to go into HEAD?

This revision was automatically updated to reflect the committed changes.
imp added a comment.Sat, Jun 22, 4:54 PM

committed.... thanks!